> ## Documentation Index
> Fetch the complete documentation index at: https://docs.garden.finance/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog

> Product updates and announcements

**April 13, 2026**

v2.0.20

### Endpoint updates

* Updated GET `/orders/{order}` to include `deadline` field in the order details.

**March 12, 2026**

v2.5.4

### New chains

* Added [Litecoin](https://docs.garden.finance/docs/developers/supported-chains.md) support.

**February 13, 2026**

v2.0.19

### Endpoint updates

* Updated GET `/orders` `status` parameter to include `display` as a filter value.

**February 12, 2026**

v2.5.3

### New chains

* Added support for [BTC.b](https://docs.garden.finance/docs/developers/supported-chains.md) on megaETH.
* Added testnet support for [USDC](https://docs.garden.finance/docs/developers/supported-chains.md) on HyperEVM.

**January 29, 2026**

v2.0.18

### Endpoint updates

* Update GET `/quote` to accept `indicative` query parameter

**January 28, 2026**

v2.0.17

### Endpoint updates

* Update GET `/chains` to include the `display` name and `native_asset_id`
* Update GET `/liquidity` to include the solver's `address`

**January 16, 2026**

v2.0.16

### Endpoint updates

* Update GET `/orders` to accept `integrator` query parameter

**January 12, 2026**

v2.0.15

### Endpoint updates

* Added Tron and Litecoin support.
* Update GET `/fee`, `/volume`, `/chains` and `/assets` endpoints to accept new query parameters
* Update PATCH `/orders/:id` endpoint requires `signatures` array instead of `signature` string for `action=instant-refund`

**January 1, 2026**

v2.0.14

### Endpoint updates

* Update GET `/orders` to accept `solver_id` query parameter

**December 31, 2025**

v2.0.13

### Endpoint updates

* Update GET `/chains` to include the `id` and the `explorer_url` fields
* Update GET `/assets` to include ticker symbols in the `name` field and chain identifiers in the `chain` field
* Update GET `/liquidity` to include corresponding `solver_id` field for each liquidity entry
* Update GET `/schemas` to return an array of schemas

**October 7, 2025**

v2.0.12

### Endpoint update

* Update GET `/quote` endpoint to include `fee` and `fixed_fee`
* Update GET `/assets` endpoint to include `name`
* Update GET `/chains` endpoint to include `name`

**September 24, 2025**

v2.0.11

### New endpoint

* Add `/apps/earnings` endpoint for fetching affiliate earnings

**September 15, 2025**

v2.0.10

### Endpoint updates

* Update POST `/orders` to use `initiate_on_behalf` calldata when the source delegate is passed

**September 10, 2025**

v2.0.9

### Endpoint updates

* Update GET `/orders` to include the following filters: `from_owner`, `to_owner`
* Update GET `/quote` endpoint to accept `slippage` parameter

**September 5, 2025**

v2.0.8

### Endpoint update

* Update GET `/quote` endpoint to include `estimated_time`

**September 1, 2025**

v2.5.2

### New chains

* Add Core support

### New assets

* Add SPL tokens support for Solana

### Approval flow improvements

* Add check after approval to verify the latest allowance amount.

**September 1, 2025**

v2.0.7

### Watcher improvements

* Update event watch deadline for Bitcoin swaps from 1 hour to 6 hours

**August 26, 2025**

v2.5.0

### New chains

* Add Sui support

### API call improvements

* Extend `getOrders` function with new filters (e.g. status , transaction hash) for more precise order queries.
* Accept `AbortController` as a parameter in get methods of `@gardenfi/orderbook` to allow cancellation of ongoing orderbook API calls.

### Network switching improvements

* Fix error handling in `switchOrAddNetwork` utility for case when network is not found.

### Local testing

* Add `yarn link` support allowing developers to locally test the changes done in SDK within a working project directory.

**August 20, 2025**

v2.0.6

### Affiliate fees endpoint

* Add GET `/apps/earnings` to track an integrator's affiliate fees

**August 11, 2025**

v2.0.5

### New chains

* Add Sui support

**August 10, 2025**

v2.4.2

### Order status fixes

* Fix order status parsing to ensure swap initiation and initiation detection are confirmed before the attested deadline, preventing orders from being accepted after expiry.

**August 5, 2025**

v2.0.4

### New chains

* Add SPL tokens support for Solana

**August 1, 2025**

v2.0.3

### Endpoint updates

* Update GET `/orders` to include the following filters: `address`, `tx_hash`, `from_chain`, `to_chain`, `page`, `per_page`, `status`
* Update GET `/chains` to include the default explorer URL

**July 30, 2025**

v2.4.0

### New chains

* Add BNB Chain support

### One-click swaps

* Add `handleSecretManagement` flag for optional secret management.
  * When set to `false`, we use [one-click swaps](https://docs.garden.finance/docs/developers/api/1click.md)
  * When set to `true`, we manage secrets within the SDK, and the user has to keep his session active

**July 29, 2025**

v2.0.3

### New endpoint

* Add PATCH `/orders/:id?action=refund` endpoint to process Bitcoin refunds

**July 24, 2025**

v2.0.2

### Endpoint updates

* Update GET `/assets` endpoint to return `chain_id` and fiat value
* Update POST `/orders` endpoint to make Bitcoin address optional, to allow refund address updates after expiry

**July 17, 2025**

v2.3.1

### Phantom wallet fixes

* Finalize all inputs of a Partially Signed Bitcoin Transaction in `PhantomProvider`, fixing issues with transaction broadcasting

**July 16, 2025**

v2.3.0

### Dependency update

* Internalised `@catalogfi/wallets` dependency to Garden SDK

**July 15, 2025**

v2.0.1

### New endpoints

* Add `/schemas/{name}` endpoint for fetching specific contract schemas
* Add `/schemas` endpoint for browsing available contract interfaces

### Enhanced schema types

* Add support for different HTLC contract types across chains:
  * `evm:htlc`, `evm:htlc_erc20`
  * `solana:htlc`, `solana:htlc_spltoken`
  * `starknet:htlc`, `starknet:htlc_erc20`
* Add support for blockchain-specific token standards:
  * `evm:erc20`, `solana:spltoken`, `starknet:erc20`
* Add `supported_htlc_schemas` and `supported_token_schemas` fields to chain information
* Update `htlc` and `token` fields to be objects that include schema names

**July 11, 2025**

v2.0.0

### API architecture overhaul

* Migrate from microservice-based endpoints to unified API at https\://\{environment}.garden.finance/v2
* Replace Bearer JWT authentication with `garden-app-id` header authentication

### New endpoints

* Add `/policy` endpoint for client-side route validation and reduced API dependencies
* Add `/liquidity` endpoint for real-time liquidity information

### Consolidated API structure

* Unify quote functionality under `/quote` endpoint
* Streamline order operations with `/orders` and `/orders/{order}` endpoints
* Simplify chain and asset queries with `/chains` and `/assets` endpoints
* Add `/health` endpoint for service monitoring
* Integrate `/fees` and `/volume` endpoints for swap metrics

### Developer experience improvements

* Enhance OpenAPI specification with detailed descriptions and examples
* Improve schema definitions for better SDK generation
* Standardize error response formats across all endpoints

**July 10, 2025**

v2.2.0

* Add Solana support
* Add retry logic for transactions dropped in mempool
* Fix `getBalance` utility in Phantom provider

**July 4, 2025**

v2.1.14

* Upgrade Starknet dependencies
* Update Arbitrum Sepolia address

**July 2, 2025**

v2.1.12

* Add Botanix support

**May 30, 2025**

v2.1.11

* Add Corn support

**May 27, 2025**

v2.1.10

* Initialise quote using API

**May 21, 2025**

v2.1.9

* Automatically handle network switching in wallets

**May 21, 2025**

v2.1.8

* Add support for Phantom, Xverse, and Keplr wallets
* Fix build issues
* Exit script execution if build fails

**May 13, 2025**

v2.1.7

* Update script file
* Add Unichain support

**May 9, 2025**

v2.1.6

* Remove unnecessary API calls in `react-hooks`

**May 8, 2025**

v2.1.5

* Support for affiliate fees
* Add helper function `getQuoteFromAssets`

**May 8, 2025**

v2.1.4

* Add Starknet support
* Add support for network switching in Node environment (previously supported in browser)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.